## packer 1.3.4+dfsg

=== Makefile ===
TEST?=$(shell go list ./... | grep -v vendor)
VET?=$(shell ls -d */ | grep -v vendor | grep -v website)
# Get the current full sha from git
GITSHA:=$(shell git rev-parse HEAD)
# Get the current local branch name from git (if we can, this may be blank)
GITBRANCH:=$(shell git symbolic-ref --short HEAD 2>/dev/null)
GOOS=$(shell go env GOOS)
GOARCH=$(shell go env GOARCH)
GOPATH=$(shell go env GOPATH)

# gofmt
UNFORMATTED_FILES=$(shell find . -not -path "./vendor/*" -name "*.go" | xargs gofmt -s -l)

EXECUTABLE_FILES=$(shell find . -type f -executable | egrep -v '^\./(website/[vendor|tmp]|vendor/|\.git|bin/|scripts/|pkg/)' | egrep -v '.*(\.sh|\.bats|\.git)' | egrep -v './provisioner/ansible/test-fixtures/exit1')

# Get the git commit
GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+CHANGES" || true)
GIT_COMMIT=$(shell git rev-parse --short HEAD)
GIT_IMPORT=github.com/hashicorp/packer/version
GOLDFLAGS=-X $(GIT_IMPORT).GitCommit=$(GIT_COMMIT)$(GIT_DIRTY)

export GOLDFLAGS

.PHONY: bin checkversion ci default deps fmt fmt-docs fmt-examples generate releasebin test testacc testrace updatedeps

default: deps generate testrace dev releasebin package dev fmt fmt-check mode-check fmt-docs fmt-examples

ci: testrace

release: deps test releasebin package ## Build a release build

bin: deps ## Build debug/test build
	@go get github.com/mitchellh/gox
	@echo "WARN: 'make bin' is for debug / test builds only. Use 'make release' for release builds."
	@sh -c "$(CURDIR)/scripts/build.sh"

releasebin: deps
	@go get github.com/mitchellh/gox
	@grep 'const VersionPrerelease = "dev"' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must remove prerelease tags from version/version.go prior to release."; \
		exit 1; \
	fi
	@sh -c "$(CURDIR)/scripts/build.sh"

package:
	$(if $(VERSION),,@echo 'VERSION= needed to release; Use make package skip compilation'; exit 1)
	@sh -c "$(CURDIR)/scripts/dist.sh $(VERSION)"

deps:
	@go get golang.org/x/tools/cmd/goimports
	@go get golang.org/x/tools/cmd/stringer
	@go get -u github.com/mna/pigeon
	@go get github.com/kardianos/govendor

dev: deps ## Build and install a development build
	@grep 'const VersionPrerelease = ""' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must add prerelease tags to version/version.go prior to making a dev build."; \
		exit 1; \
	fi
	@mkdir -p pkg/$(GOOS)_$(GOARCH)
	@mkdir -p bin
	@go install -ldflags '$(GOLDFLAGS)'
	@cp $(GOPATH)/bin/packer bin/packer
	@cp $(GOPATH)/bin/packer pkg/$(GOOS)_$(GOARCH)

fmt: ## Format Go code
	@gofmt -w -s main.go $(UNFORMATTED_FILES)

fmt-check: ## Check go code formatting
	@echo "==> Checking that code complies with gofmt requirements..."
	@if [ ! -z "$(UNFORMATTED_FILES)" ]; then \
		echo "gofmt needs to be run on the following files:"; \
		echo "$(UNFORMATTED_FILES)" | xargs -n1; \
		echo "You can use the command: \`make fmt\` to reformat code."; \
		exit 1; \
	else \
		echo "Check passed."; \
	fi

mode-check: ## Check that only certain files are executable
	@echo "==> Checking that only certain files are executable..."
	@if [ ! -z "$(EXECUTABLE_FILES)" ]; then \
		echo "These files should not be executable or they must be white listed in the Makefile:"; \
		echo "$(EXECUTABLE_FILES)" | xargs -n1; \
		exit 1; \
	else \
		echo "Check passed."; \
	fi
fmt-docs:
	@find ./website/source/docs -name "*.md" -exec pandoc --wrap auto --columns 79 --atx-headers -s -f "markdown_github+yaml_metadata_block" -t "markdown_github+yaml_metadata_block" {} -o {} \;

# Install js-beautify with npm install -g js-beautify
fmt-examples:
	find examples -name *.json | xargs js-beautify -r -s 2 -n -eol "\n"

# generate runs `go generate` to build the dynamically generated
# source files.
generate: deps ## Generate dynamically generated code
	go generate .
	gofmt -w common/bootcommand/boot_command.go
	goimports -w common/bootcommand/boot_command.go
	gofmt -w command/plugin.go

test: fmt-check mode-check vet ## Run unit tests
	@go test $(TEST) $(TESTARGS) -timeout=2m

# testacc runs acceptance tests
testacc: deps generate ## Run acceptance tests
	@echo "WARN: Acceptance tests will take a long time to run and may cost money. Ctrl-C if you want to cancel."
	PACKER_ACC=1 go test -v $(TEST) $(TESTARGS) -timeout=45m

testrace: fmt-check mode-check vet ## Test with race detection enabled
	@go test -race $(TEST) $(TESTARGS) -timeout=2m -p=8

updatedeps:
	@echo "INFO: Packer deps are managed by govendor. See .github/CONTRIBUTING.md"

vet: ## Vet Go code
	@go tool vet $(VET)  ; if [ $$? -eq 1 ]; then \
		echo "ERROR: Vet found problems in the code."; \
		exit 1; \
	fi

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any (>= 1.5),
               golang-github-aliyun-aliyun-oss-go-sdk-dev,
               golang-github-aws-aws-sdk-go-dev (>= 1.4.22),
# golang-github-azure-azure-sdk-for-go-dev (>= 10~),
# golang-github-azure-go-autorest-dev (>= 8~),
               golang-github-biogo-hts-dev,
               golang-github-christrenkamp-goxpath-dev (>= 1.0~alpha3+git20170922.c385f95~),
               golang-github-denverdino-aliyungo-dev (>= 0.0~git20180921.13fa8aa~),
               golang-github-digitalocean-godo-dev (>= 1.1.0),
               golang-github-google-go-cmp-dev,
               golang-github-google-shlex-dev,
               golang-github-google-uuid-dev,
               golang-github-gophercloud-gophercloud-dev (>=0.0~git20180917.45f1c769~),
               golang-github-hashicorp-go-checkpoint-dev,
               golang-github-hashicorp-go-cleanhttp-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-hashicorp-go-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-hashicorp-yamux-dev,
               golang-github-kardianos-osext-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-go-fs-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-mitchellh-go-vnc-dev,
               golang-github-mitchellh-iochan-dev,
#               golang-github-mitchellh-mapstructure-dev,
               golang-github-mitchellh-multistep-dev,
               golang-github-mitchellh-panicwrap-dev,
               golang-github-mitchellh-prefixedio-dev,
               golang-github-mitchellh-reflectwalk-dev,
               golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
               golang-github-pierrec-lz4-dev,
               golang-github-pkg-sftp-dev,
               golang-github-ugorji-go-codec-dev,
               golang-github-vmware-govmomi-dev,
               golang-github-xanzy-go-cloudstack-dev,
               golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
               golang-golang-x-oauth2-dev (>= 0.0~git20180821.d2e6202~),
               golang-golang-x-oauth2-google-dev (>= 0.0~git20180821.d2e6202~),
               golang-google-api-dev (>= 0.0~git20180916.19ff876~),
               golang-gopkg-cheggaaa-pb.v1-dev (>= 1.0.25~),
# Test dependency
               golang-github-approvals-go-approval-tests-dev,
               golang-github-dylanmei-winrmtest-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.2.1
Homepage: https://www.packer.io/
Vcs-Browser: https://salsa.debian.org/go-team/packages/packer
Vcs-Git: https://salsa.debian.org/go-team/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: docker.io,
            qemu,
Suggests: ansible,
          chef,
Description: tool for creating machine images for multiple platforms
 Packer is an open source tool for creating identical machine images for
 multiple platforms from a single source configuration. Packer is lightweight,
 runs on every major operating system, and is highly performant, creating
 machine images for multiple platforms in parallel. Packer does not replace
 configuration management like Chef or Puppet. In fact, when building images,
 Packer is able to use tools like Chef or Puppet to install software onto the
 image.
 .
 A machine image is a single static unit that contains a pre-configured
 operating system and installed software which is used to quickly create new
 running machines. Machine image formats change for each platform. Some
 examples include AMIs for EC2, VMDK/VMX files for VMware, OVF exports for
 VirtualBox, etc.
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name test-fixtures) \
                                  $(wildcard builder/azure/common/template/*approved*) \
                                  $(wildcard builder/azure/arm/*approved*)
export DH_GOLANG_EXCLUDES := plugin/example scripts \
                             builder/azure builder/ncloud builder/oneandone builder/oracle \
                             builder/profitbricks builder/scaleway builder/triton \
                             builder/tencentcloud builder/hcloud
export HOME := $(shell mktemp -d)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	cp -rvT debian/vendor ./vendor
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
	# mips mipsel are too slow to run these tests
	rm -v builder/googlecompute/step_create_windows_password_test.go
endif
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install -- --no-source

## packer 1.6.6+ds1

=== Makefile ===
TEST?=$(shell go list ./...)
COUNT?=1
VET?=$(shell go list ./...)

ACC_TEST_BUILDERS?=all
ACC_TEST_PROVISIONERS?=all
# Get the current full sha from git
GITSHA:=$(shell git rev-parse HEAD)
# Get the current local branch name from git (if we can, this may be blank)
GITBRANCH:=$(shell git symbolic-ref --short HEAD 2>/dev/null)
GOOS=$(shell go env GOOS)
GOARCH=$(shell go env GOARCH)
GOPATH=$(shell go env GOPATH)

EXECUTABLE_FILES=$(shell find . -type f -executable | egrep -v '^\./(website/[vendor|tmp]|vendor/|\.git|bin/|scripts/|pkg/)' | egrep -v '.*(\.sh|\.bats|\.git)' | egrep -v './provisioner/(ansible|inspec)/test-fixtures/exit1')

# Get the git commit
GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+CHANGES" || true)
GIT_COMMIT=$(shell git rev-parse --short HEAD)
GIT_IMPORT=github.com/hashicorp/packer/version
UNAME_S := $(shell uname -s)
LDFLAGS=-s -w
GOLDFLAGS=-X $(GIT_IMPORT).GitCommit=$(GIT_COMMIT)$(GIT_DIRTY) $(LDFLAGS)

export GOLDFLAGS

.PHONY: bin checkversion ci ci-lint default install-build-deps install-gen-deps fmt fmt-docs fmt-examples generate install-lint-deps lint \
	releasebin test testacc testrace

default: install-build-deps install-gen-deps generate dev

ci: testrace ## Test in continuous integration

release: install-build-deps test releasebin package ## Build a release build

bin: install-build-deps ## Build debug/test build
	@echo "WARN: 'make bin' is for debug / test builds only. Use 'make release' for release builds."
	@GO111MODULE=auto sh -c "$(CURDIR)/scripts/build.sh"

releasebin: install-build-deps
	@grep 'const VersionPrerelease = "dev"' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must remove prerelease tags from version/version.go prior to release."; \
		exit 1; \
	fi
	@GO111MODULE=auto sh -c "$(CURDIR)/scripts/build.sh"

package:
	$(if $(VERSION),,@echo 'VERSION= needed to release; Use make package skip compilation'; exit 1)
	@sh -c "$(CURDIR)/scripts/dist.sh $(VERSION)"

install-build-deps: ## Install dependencies for bin build
	@go get github.com/mitchellh/gox

install-gen-deps: ## Install dependencies for code generation
	# to avoid having to tidy our go deps, we `go get` our binaries from a temp
	# dir. `go get` will change our deps and the following deps are not part of
	# out code dependencies; so a go mod tidy will remove them again. `go
	# install` seems to install the last tagged version and we want to install
	# master.
	@(cd $(TEMPDIR) && GO111MODULE=on go get github.com/alvaroloes/enumer@master)
	@go install ./cmd/struct-markdown
	@go install ./cmd/mapstructure-to-hcl2

install-lint-deps: ## Install linter dependencies
	# Pinning golangci-lint at v1.23.8 as --new-from-rev seems to work properly; the latest 1.24.0 has caused issues with memory consumption
	@echo "==> Updating linter dependencies..."
	@curl -sSfL -q https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin v1.23.8

dev: ## Build and install a development build
	@grep 'const VersionPrerelease = ""' version/version.go > /dev/null ; if [ $$? -eq 0 ]; then \
		echo "ERROR: You must add prerelease tags to version/version.go prior to making a dev build."; \
		exit 1; \
	fi
	@mkdir -p pkg/$(GOOS)_$(GOARCH)
	@mkdir -p bin
	@go install -ldflags '$(GOLDFLAGS)'
	@cp $(GOPATH)/bin/packer bin/packer
	@cp $(GOPATH)/bin/packer pkg/$(GOOS)_$(GOARCH)

lint: install-lint-deps ## Lint Go code
	@if [ ! -z  $(PKG_NAME) ]; then \
		echo "golangci-lint run ./$(PKG_NAME)/..."; \
		golangci-lint run ./$(PKG_NAME)/...; \
	else \
		echo "golangci-lint run ./..."; \
		golangci-lint run ./...; \
	fi

ci-lint: install-lint-deps ## On ci only lint newly added Go source files
	@echo "==> Running linter on newly added Go source files..."
	GO111MODULE=on golangci-lint run --new-from-rev=$(shell git merge-base origin/master HEAD) ./...

fmt: ## Format Go code
	@go fmt ./...

fmt-check: fmt ## Check go code formatting
	@echo "==> Checking that code complies with go fmt requirements..."
	@git diff --exit-code; if [ $$? -eq 1 ]; then \
		echo "Found files that are not fmt'ed."; \
		echo "You can use the command: \`make fmt\` to reformat code."; \
		exit 1; \
	fi

mode-check: ## Check that only certain files are executable
	@echo "==> Checking that only certain files are executable..."
	@if [ ! -z "$(EXECUTABLE_FILES)" ]; then \
		echo "These files should not be executable or they must be white listed in the Makefile:"; \
		echo "$(EXECUTABLE_FILES)" | xargs -n1; \
		exit 1; \
	else \
		echo "Check passed."; \
	fi
fmt-docs:
	@find ./website/pages/docs -name "*.md" -exec pandoc --wrap auto --columns 79 --atx-headers -s -f "markdown_github+yaml_metadata_block" -t "markdown_github+yaml_metadata_block" {} -o {} \;

# Install js-beautify with npm install -g js-beautify
fmt-examples:
	find examples -name *.json | xargs js-beautify -r -s 2 -n -eol "\n"

# generate runs `go generate` to build the dynamically generated
# source files.
generate: install-gen-deps ## Generate dynamically generated code
	@echo "==> removing autogenerated markdown..." # but don't remove partials generated in the SDK and copied over.
	@find website/pages -path website/pages/partials/packer-plugin-sdk -prune -o -type f | xargs grep -l '^<!-- Code generated' | xargs rm -f
	@echo "==> removing autogenerated code..."
	@find post-processor helper builder provisioner -type f | xargs grep -l '^// Code generated' | xargs rm -f
	PROJECT_ROOT="$(shell pwd)" go generate $(shell go list ./... | grep -v packer-plugin-sdk)

generate-check: generate ## Check go code generation is on par
	@echo "==> Checking that auto-generated code is not changed..."
	@git diff --exit-code; if [ $$? -eq 1 ]; then \
		echo "Found diffs in go generated code."; \
		echo "You can use the command: \`make generate\` to reformat code."; \
		exit 1; \
	fi

test: mode-check vet ## Run unit tests
	@go test -count $(COUNT) $(TEST) $(TESTARGS) -timeout=3m

# acctest runs provisioners acceptance tests
provisioners-acctest: #install-build-deps generate
	ACC_TEST_BUILDERS=$(ACC_TEST_BUILDERS) go test $(TEST) $(TESTARGS) -timeout=1h

# testacc runs acceptance tests
testacc: # install-build-deps generate ## Run acceptance tests
	@echo "WARN: Acceptance tests will take a long time to run and may cost money. Ctrl-C if you want to cancel."
	PACKER_ACC=1 go test -count $(COUNT) -v $(TEST) $(TESTARGS) -timeout=120m

testrace: mode-check vet ## Test with race detection enabled
	@GO111MODULE=off go test -count $(COUNT) -race $(TEST) $(TESTARGS) -timeout=3m -p=8

# Runs code coverage and open a html page with report
cover:
	go test -count $(COUNT) $(TEST) $(TESTARGS) -timeout=3m -coverprofile=coverage.out
	go tool cover -html=coverage.out
	rm coverage.out

check-vendor-vs-mod: ## Check that go modules and vendored code are on par
	@GO111MODULE=on go mod vendor
	@git diff --exit-code --ignore-space-change --ignore-space-at-eol -- vendor ; if [ $$? -eq 1 ]; then \
		echo "ERROR: vendor dir is not on par with go modules definition." && \
		exit 1; \
	fi

vet: ## Vet Go code
	@go vet $(VET)  ; if [ $$? -eq 1 ]; then \
		echo "ERROR: Vet found problems in the code."; \
		exit 1; \
	fi

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== vendor/github.com/hashicorp/go-getter/v2/Makefile ===
start-smb:
	@docker-compose build
	docker-compose up -d samba

smbtests-prepare:
	@docker-compose build
	@docker-compose up -d
	@sleep 60

smbtests:
	@docker cp ./ gogetter:/go-getter/
	@docker exec -it gogetter bash -c "env ACC_SMB_TEST=1 go test -v ./... -run=TestSmb_"

=== debian/changelog ===
packer (1.6.6+ds1-4) unstable; urgency=medium

  * Fix FTBFS with go1.17 (Closes: #997099)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 24 Oct 2021 04:03:52 +0800

packer (1.6.6+ds1-3) unstable; urgency=medium

  * Add patch to build with aws sdk 1.37 (Closes: #996169)
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 12 Oct 2021 02:48:01 +0800

packer (1.6.6+ds1-2) unstable; urgency=medium

  * Backport patch to fix qemu builder with ide disk_interface (Closes: #987932)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 May 2021 00:11:33 +0800

packer (1.6.6+ds1-1) unstable; urgency=medium

  * Use packaged golang-github-zclconf-go-cty-yaml-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 04:00:17 +0800

packer (1.6.6+ds-1) unstable; urgency=medium

  * New upstream version 1.6.6+ds
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Dec 2020 03:16:24 +0800

packer (1.6.5+dfsg-3) unstable; urgency=medium

  * Disable one more test which fails on ipv6-only machine (Closes: #974169)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Nov 2020 10:49:49 +0800

packer (1.6.5+dfsg-2) unstable; urgency=medium

  * Increase test timeout to 1h

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Nov 2020 03:18:40 +0800

packer (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.5+dfsg
  * Disable osc builder.
    Need new dependency which is not packaged yet
  * Adjust Recommends and Suggests
    + Remove chef from Suggests, removed from archive.
    + Move docker.io to Suggests
  * Add patch to disable impersonation of gce builder.
    It needs golang-google-api >= 0.32

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 01:04:56 +0800

packer (1.6.4+dfsg-3) unstable; urgency=medium

  * Disable slow tests on riscv64 as well
  * Disable DWARF on mipsel to save memory when link

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Oct 2020 23:39:51 +0800

packer (1.6.4+dfsg-2) unstable; urgency=medium

  * Limit external link on armel and armhf

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Oct 2020 00:54:30 +0800

packer (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.4
  * Enable scaleway builder
  * Backport patch to fix panicwrap compatibility.
    Thanks Dmitry Borodaenko

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 03 Oct 2020 21:58:33 +0800

packer (1.6.0+dfsg-3) unstable; urgency=medium

  * Also fix linkmode on armel and armhf when testing
  * Adjust Recommends and Suggests

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jul 2020 23:40:51 +0800

packer (1.6.0+dfsg-2) unstable; urgency=medium

  * Use external cgo linker
    armel/armhf fail to link:
    os/user(.text): direct call too far: .plt 87db4e
  * Disable test which needs ipv4 address on host
  * Disable one more slow test on mipsel
  * Remove golang-golang-x-tools-dev from Build-Depends
  * Bump gophercloud to 0.12.0
  * Add patch to fix vagrant cloud test
  * Add patch to build with reflectwalk 1.0.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jul 2020 01:10:03 +0800

packer (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.6.0+dfsg (Closes: #876929, #927926, #948000)
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * Add Rules-Requires-Root

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Jul 2020 01:00:32 +0800

=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-golang,
 golang-any (>= 1.5),
# golang-github-1and1-oneandone-cloudserver-sdk-go-dev,
# golang-github-aliyun-alibaba-cloud-sdk-go
 golang-github-aliyun-aliyun-oss-go-sdk-dev,
 golang-github-aws-aws-sdk-go-dev (>= 1.36.0~),
 golang-github-azure-azure-sdk-for-go-dev (>= 43.3.0~),
 golang-github-azure-go-autorest-dev (>= 14.1.1~),
 golang-github-badgerodon-collections-dev,
 golang-github-biogo-hts-dev,
# golang-github-c2h5oh-datasize-dev,
 golang-gopkg-cheggaaa-pb.v1-dev (>= 1.0.25~),
 golang-github-christrenkamp-goxpath-dev (>= 1.0~alpha3+git20170922.c385f95~),
 golang-github-chzyer-readline-dev,
 golang-github-dgrijalva-jwt-go-dev,
 golang-github-digitalocean-godo-dev (>= 1.37.0),
 golang-github-digitalocean-go-qemu-dev,
# golang-github-exoscale-egoscale-dev,
 golang-github-gobwas-glob-dev,
 golang-github-gofrs-flock-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-shlex-dev,
 golang-github-google-uuid-dev,
 golang-github-gophercloud-gophercloud-dev (>= 0.12.0),
 golang-github-gophercloud-utils-dev,
# golang-github-grpc-ecosystem-go-grpc-middleware-dev,
# golang-github-hashicorp-consul-dev,
 golang-github-hashicorp-errwrap-dev,
 golang-github-hashicorp-go-checkpoint-dev,
 golang-github-hashicorp-go-cleanhttp-dev,
# golang-github-hashicorp-go-cty-funcs-dev,
# golang-github-hashicorp-go-getter-dev,
 golang-github-hashicorp-go-multierror-dev,
# golang-github-hashicorp-go-oracle-terraform-dev,
 golang-github-hashicorp-go-uuid-dev,
 golang-github-hashicorp-go-version-dev,
# golang-github-hashicorp-hcl-dev,
# golang-github-hashicorp-vault-dev,
 golang-github-hashicorp-yamux-dev,
 golang-github-hetznercloud-hcloud-go-dev,
# golang-github-hyperonecom-h1-client-go-dev,
# golang-github-jdcloud-api-jdcloud-sdk-go-dev,
# golang-github-jehiah-go-strftime-dev,
# golang-github-joyent-triton-go-dev,
 golang-github-klauspost-pgzip-dev,
# golang-github-linode-linodego-dev,
 golang-github-masterzen-winrm-dev (>= 0.0~git20170601.0.1ca0ba6~),
 golang-github-mattn-go-tty-dev,
 golang-github-mitchellh-cli-dev,
 golang-github-mitchellh-go-fs-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-mitchellh-go-vnc-dev,
 golang-github-mitchellh-iochan-dev,
 golang-github-mitchellh-mapstructure-dev (>= 1.3.2~),
 golang-github-mitchellh-panicwrap-dev,
 golang-github-mitchellh-prefixedio-dev,
 golang-github-mitchellh-reflectwalk-dev,
# golang-github-navercloudplatform-ncloud-sdk-go-v2-dev,
 golang-github-olekukonko-tablewriter-dev,
# golang-github-oracle-oci-go-sdk-dev,
# golang-github-outscale-osc-go-dev,
 golang-github-packer-community-winrmcp-dev (>= 0.0~git20170607.0.078cc0a~),
 golang-github-pierrec-lz4-dev (>= 2.5.2~),
 golang-github-pkg-sftp-dev,
 golang-github-posener-complete-dev,
# golang-github-profitbricks-profitbricks-sdk-go-dev,
 golang-github-ryanuber-go-glob-dev,
# golang-github-scaleway-scaleway-cli-dev,
 golang-github-shirou-gopsutil-dev,
# golang-github-telmate-proxmox-api-go-dev,
# golang-github-tencentcloud-tencentcloud-sdk-go-dev,
# golang-github-ucloud-ucloud-sdk-go-dev,
# golang-github-ufilesdk-dev-ufile-gosdk-dev,
 golang-github-ugorji-go-codec-dev,
 golang-github-ulikunitz-xz-dev,
 golang-github-vmware-govmomi-dev (>= 0.23.0~),
 golang-github-xanzy-go-cloudstack-dev,
# golang-github-yandex-cloud-go-genproto-dev,
# golang-github-yandex-cloud-go-sdk-dev,
 golang-github-zclconf-go-cty-dev (>= 1.5.0~),
 golang-github-zclconf-go-cty-yaml-dev,
 golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
# golang-golang-x-mobile-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-dev (>= 0.0~git20180821.d2e6202~),
 golang-golang-x-oauth2-google-dev (>= 0.0~git20180821.d2e6202~),
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-google-api-dev (>= 0.0~git20180916.19ff876~),
# golang-google-grpc-dev,
# Test dependency
 golang-github-approvals-go-approval-tests-dev,
 golang-github-dylanmei-winrmtest-dev,
 golang-github-go-ini-ini-dev,
 golang-github-stretchr-testify-dev,
# Vendor dependency
# golang-github-hashicorp-go-cty-funcs-dev,
 golang-github-apparentlymart-go-cidr-dev,
 golang-github-bmatcuk-doublestar-dev,
# golang-github-scaleway-scaleway-cli-dev,
## golang-github-sirupsen-logrus-dev,
## golang-github-gorilla-websocket-dev,
# golang-github-yandex-cloud-go-sdk-dev,
## golang-github-ghodss-yaml-dev,
# golang-github-jdcloud-api-jdcloud-sdk-go-dev,
# golang-github-hashicorp-vault-dev,
 golang-github-golang-snappy-dev,
 golang-github-hashicorp-go-retryablehttp-dev,
 golang-github-hashicorp-go-sockaddr-dev,
 golang-gopkg-square-go-jose.v2-dev,
# golang-github-hashicorp-consul-dev,
 golang-github-hashicorp-go-hclog-dev,
 golang-github-hashicorp-go-rootcerts-dev,
 golang-github-hashicorp-serf-dev,
# golang-github-aliyun-alibaba-cloud-sdk-go
 golang-github-json-iterator-go-dev,
 golang-gopkg-ini.v1-dev,
# golang-github-hashicorp-go-getter-dev,
 golang-google-cloud-dev,
 golang-github-bgentry-go-netrc-dev,
 golang-github-hashicorp-go-safetemp-dev,
 golang-github-mitchellh-go-testing-interface-dev,
# golang-github-hashicorp-hcl-dev,
 golang-github-agext-levenshtein-dev,
 golang-github-mitchellh-go-wordwrap-dev,
Standards-Version: 4.6.0
Homepage: https://www.packer.io/
Vcs-Browser: https://salsa.debian.org/go-team/packages/packer
Vcs-Git: https://salsa.debian.org/go-team/packages/packer.git
XS-Go-Import-Path: github.com/hashicorp/packer
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go

Package: packer
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: ansible,
          docker.io,
          qemu-system,
Description: tool for creating machine images for multiple platforms
 Packer is an open source tool for creating identical machine images for
 multiple platforms from a single source configuration. Packer is lightweight,
 runs on every major operating system, and is highly performant, creating
 machine images for multiple platforms in parallel. Packer does not replace
 configuration management like Chef or Puppet. In fact, when building images,
 Packer is able to use tools like Chef or Puppet to install software onto the
 image.
 .
 A machine image is a single static unit that contains a pre-configured
 operating system and installed software which is used to quickly create new
 running machines. Machine image formats change for each platform. Some
 examples include AMIs for EC2, VMDK/VMX files for VMware, OVF exports for
 VirtualBox, etc.
 .
 For the documentation of Packer, please see <https://www.packer.io/docs>.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := $(shell find . -name test-fixtures) \
                                  $(shell find . -name *.approved.*)
export DH_GOLANG_EXCLUDES := \
	cmd plugin/example builder/vsphere/examples/driver scripts \
	builder/hyperone builder/linode builder/osc \
	builder/ucloud post-processor/ucloud-import \
	builder/yandex post-processor/yandex-export post-processor/yandex-import

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
# armel/armhf: os/user(.text): direct call too far: .plt 87db4e
export GOFLAGS := -ldflags=-linkmode=external
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
# mipsel: panic: cannot allocate memory
export GOFLAGS := -ldflags=-w
endif

PKG = _build/src/github.com/hashicorp/packer

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH), mipsel riscv64))
	# mipsel riscv64 are too slow to run these tests
	rm -vf $(PKG)/builder/googlecompute/step_create_windows_password_test.go
	rm -vf $(PKG)/builder/azure/arm/template_factory_test.go
endif
	# fail on ipv6-only buildd
	rm -vf $(PKG)/builder/proxmox/step_type_boot_command_test.go
	rm -vf $(PKG)/builder/vsphere/common/step_http_ip_discover_test.go
	# no tty in schroot
	rm -vf $(PKG)/common/terminal_test.go

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	dh_auto_test -- -timeout 1h

## packer 1.6.6+ds2

=== packer-plugin-sdk/Makefile ===
TEST?=$(shell go list ./...)
COUNT?=1
VET?=$(shell go list ./...)
# Get the current full sha from git
GOPATH=$(shell go env GOPATH)

default: install-build-deps install-gen-deps generate

ci: testrace ## Test in continuous integration

install-gen-deps: ## Install dependencies for code generation
	# to avoid having to tidy our go deps, we `go get` our binaries from a temp
	# dir. `go get` will change our deps and the following deps are not part of
	# out code dependencies; so a go mod tidy will remove them again. `go
	# install` seems to install the last tagged version and we want to install
	# master.
	@(cd $(TEMPDIR) && GO111MODULE=on go get github.com/mna/@master)
	@(cd $(TEMPDIR) && GO111MODULE=on go get github.com/alvaroloes/enumer@master)

	# grab files from github and install them using go install, then remove files again.
	@mkdir cmd
	@mkdir cmd/struct-markdown
	@curl -sSfL -q https://raw.githubusercontent.com/hashicorp/packer/master/cmd/struct-markdown/main.go -o cmd/struct-markdown/main.go
	@curl -sSfL -q https://raw.githubusercontent.com/hashicorp/packer/master/cmd/struct-markdown/template.go -o cmd/struct-markdown/template.go
	@go install ./cmd/struct-markdown # in the packer repo

	@mkdir cmd/mapstructure-to-hcl2
	@curl -sSfL -q https://raw.githubusercontent.com/hashicorp/packer/master/cmd/mapstructure-to-hcl2/mapstructure-to-hcl2.go -o cmd/mapstructure-to-hcl2/mapstructure-to-hcl2.go
	@go install ./cmd/mapstructure-to-hcl2 # in the packer repo

	@rm -rf cmd

install-lint-deps: ## Install linter dependencies
	# Pinning golangci-lint at v1.23.8 as --new-from-rev seems to work properly; the latest 1.24.0 has caused issues with memory consumption
	@echo "==> Updating linter dependencies..."
	@curl -sSfL -q https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $(GOPATH)/bin v1.23.8

lint: install-lint-deps ## Lint Go code
	@if [ ! -z  $(PKG_NAME) ]; then \
		echo "golangci-lint run ./$(PKG_NAME)/..."; \
		golangci-lint run ./$(PKG_NAME)/...; \
	else \
		echo "golangci-lint run ./..."; \
		golangci-lint run ./...; \
	fi

ci-lint: install-lint-deps ## On ci only lint newly added Go source files
	@echo "==> Running linter on newly added Go source files..."
	GO111MODULE=on golangci-lint run --new-from-rev=$(shell git merge-base origin/master HEAD) ./...

fmt: ## Format Go code
	@go fmt ./...

fmt-check: fmt ## Check go code formatting
	@echo "==> Checking that code complies with go fmt requirements..."
	@git diff --exit-code; if [ $$? -eq 1 ]; then \
		echo "Found files that are not fmt'ed."; \
		echo "You can use the command: \`make fmt\` to reformat code."; \
		exit 1; \
	fi

fmt-docs:
	@find ./website/pages/docs -name "*.md" -exec pandoc --wrap auto --columns 79 --atx-headers -s -f "markdown_github+yaml_metadata_block" -t "markdown_github+yaml_metadata_block" {} -o {} \;

# Install js-beautify with npm install -g js-beautify
fmt-examples:
	find examples -name *.json | xargs js-beautify -r -s 2 -n -eol "\n"

# generate runs `go generate` to build the dynamically generated
# source files.
generate: install-gen-deps ## Generate dynamically generated code
	@echo "==> removing autogenerated markdown..."
	@find website/pages/ -type f | xargs grep -l '^<!-- Code generated' | xargs rm -f
	@echo "==> removing autogenerated code..."
	@find ./ -type f | xargs grep -l '^// Code generated' | xargs rm -f
	PROJECT_ROOT="$(pwd)" go generate ./...
	go fmt bootcommand/boot_command.go
# 	go run ./cmd/generate-fixer-deprecations

generate-check: generate ## Check go code generation is on par
	@echo "==> Checking that auto-generated code is not changed..."
	@git diff --exit-code; if [ $$? -eq 1 ]; then \
		echo "Found diffs in go generated code."; \
		echo "You can use the command: \`make generate\` to reformat code."; \
		echo "ONCE YOU HAVE REGENERATED CODE, IT SHOULD BE COPIED INTO PACKER CORE"; \
		exit 1; \
	fi

test: mode-check vet ## Run unit tests
	@go test -count $(COUNT) $(TEST) $(TESTARGS) -timeout=3m

testrace: mode-check vet ## Test with race detection enabled
	@GO111MODULE=off go test -count $(COUNT) -race $(TEST) $(TESTARGS) -timeout=3m -p=8

# Runs code coverage and open a html page with report
cover:
	go test -count $(COUNT) $(TEST) $(TESTARGS) -timeout=3m -coverprofile=coverage.out
	go tool cover -html=coverage.out
	rm coverage.out

vet: ## Vet Go code
	@go vet $(VET)  ; if [ $$? -eq 1 ]; then \
		echo "ERROR: Vet found problems in the code."; \
		exit 1; \
	fi

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
packer (1.6.6+ds2-1) unstable; urgency=medium

  * Vendor github.com/zclconf/go-cty
    v1.11+ drops encoding/gob support. (Closes: #1032525)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 13 Mar 2023 18:34:54 +0800

packer (1.6.6+ds1-7) unstable; urgency=medium

  * Fix uscan watch file

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Feb 2023 23:24:44 +0800

packer (1.6.6+ds1-6) unstable; urgency=medium

  * Add golang-github-satori-go.uuid-dev to Build-Depends
  * Update Standards-Version to 4.6.2 (no changes)
  * Bump golang-google-api-dev to 0.32.0
  * Add patch to fix test with azure-sdk-for-go v68

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Feb 2023 21:13:56 +0800

packer (1.6.6+ds1-5) unstable; urgency=medium

  * Add golang-github-apparentlymart-go-textseg-dev to Build-Depends.
    And bump it to v13. (Closes: #1021654)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 12 Oct 2022 21:58:14 +0800

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-golang,
  golang-any (>= 1.5),
+ golang-github-apparentlymart-go-textseg-dev (>= 13.0.0~),
 # golang-github-1and1-oneandone-cloudserver-sdk-go-dev,
 # golang-github-aliyun-alibaba-cloud-sdk-go
  golang-github-aliyun-aliyun-oss-go-sdk-dev,
@@ -72,6 +73,7 @@
 # golang-github-profitbricks-profitbricks-sdk-go-dev,
  golang-github-ryanuber-go-glob-dev,
 # golang-github-scaleway-scaleway-cli-dev,
+ golang-github-satori-go.uuid-dev,
  golang-github-shirou-gopsutil-dev,
 # golang-github-telmate-proxmox-api-go-dev,
 # golang-github-tencentcloud-tencentcloud-sdk-go-dev,
@@ -83,8 +85,8 @@
  golang-github-xanzy-go-cloudstack-dev,
 # golang-github-yandex-cloud-go-genproto-dev,
 # golang-github-yandex-cloud-go-sdk-dev,
- golang-github-zclconf-go-cty-dev (>= 1.5.0~),
- golang-github-zclconf-go-cty-yaml-dev,
+# golang-github-zclconf-go-cty-dev (>= 1.5.0~),
+# golang-github-zclconf-go-cty-yaml-dev,
  golang-golang-x-crypto-dev (>= 1:0.0~git20170407.0.55a552f+REALLY.0.0~git20161012.0.5f31782),
 # golang-golang-x-mobile-dev,
  golang-golang-x-net-dev,
@@ -92,7 +94,7 @@
  golang-golang-x-oauth2-google-dev (>= 0.0~git20180821.d2e6202~),
  golang-golang-x-sync-dev,
  golang-golang-x-sys-dev,
- golang-google-api-dev (>= 0.0~git20180916.19ff876~),
+ golang-google-api-dev (>= 0.32.0~),
 # golang-google-grpc-dev,
 # Test dependency
  golang-github-approvals-go-approval-tests-dev,
@@ -129,7 +131,7 @@
 # golang-github-hashicorp-hcl-dev,
  golang-github-agext-levenshtein-dev,
  golang-github-mitchellh-go-wordwrap-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.packer.io/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/packer
 Vcs-Git: https://salsa.debian.org/go-team/packages/packer.git

=== debian/watch ===
version=4
opts="dversionmangle=auto, repacksuffix=+ds1, \
      uversionmangle=s%(\d)-(rc|beta|alpha)\.?(\d*)$%$1~$2$3%, \
      filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/hashicorp/packer/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian

## packer 1.14.1

=== debian/changelog ===
packer (1.14.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.14.1 version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 20:22:44 +0200

packer (1.11.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.11.2 version
  * Bump the Standards-Version
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 21:39:38 +0200

packer (1.10.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.10.3 version
  * Bump the version required of golang-go to 1.21

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 25 Apr 2024 09:37:49 +0200

packer (1.9.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2023 13:20:41 +0100

packer (1.9.2-2kaisen) kaisen-packages; urgency=medium

  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 20:36:34 +0100

packer (1.9.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.2 version
  * Bump golang-go version required
  * Many improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 04:25:28 +0100

packer (1.8.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.8.6 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 22:13:36 +0100

packer (1.8.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.8.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 17:45:06 +0100

packer (1.8.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.3 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 19:55:57 +0100

packer (1.8.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 18:51:11 +0100

packer (1.8.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.8.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:08:24 +0100

packer (1.8.0-2kaisen) kaisen-packages; urgency=medium

  * Improve a lot the packaging
  * Added quilt patch to remove the .git folder dependancies

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 15 Apr 2022 21:36:32 +0100

packer (1.8.0-1kaisen) kaisen-packages; urgency=medium

  * Use go install instead of go get to build packer
  * Import 1.8.0 version
  * Add packer logo
  * Add docs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 01:07:31 +0100

packer (1.7.10-1kaisen) kaisen-packages; urgency=medium

  * Import 1.7.10 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 08 Feb 2022 11:10:34 +0100

packer (1.7.9-1kaisen) kaisen-packages; urgency=medium

  * Import 1.7.9 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jan 2022 00:09:14 +0100

packer (1.7.8-1kaisen) kaisen-packages; urgency=medium

  * Complete repackaging (remove Debian packaging)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 18 Jan 2022 11:58:15 +0100

=== debian/control ===
Source: packer
Section: utils
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-go (>= 1.23)
Standards-Version: 4.7.2
Homepage: https://www.packer.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/packer
Vcs-Git: https://gitlab.com/kaisenlinux/packages/packer.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/packer

Package: packer
Architecture: arm64 amd64
Depends: ${misc:Depends}
Description: Tool for creating identical machine images for multiple platforms from a single source configuration

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export GOBIN=$(CURDIR)/_build/bin
export GO111MODULE=on

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_build:
	make version
	make releasebin

override_dh_auto_test:
	go test

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/_build/bin/packer $(CURDIR)/debian/packer/usr/bin
	install -p -m 0755 $(CURDIR)/contrib/zsh-completion/_packer $(CURDIR)/debian/packer/usr/share/zsh/vendor-completions
	install -p -m 0644 $(CURDIR)/debian/packer.png $(CURDIR)/debian/packer/usr/share/pixmaps
